#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	hicolor-icon-theme
Version		:	0.17
Release		:	17.2.0.rel%{?dist}
Summary		:	hicolor-icon-theme
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+
URL		:	https://www.freedesktop.org/wiki/Software/icon-theme/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
Contains the basic directories and files needed for icon theme support.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc COPYING NEWS README
%{_datadir}/icons/hicolor/index.theme

#-----------------------------------------------------------------------------
%post
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

%postun
mkdir -p %{_datadir}/icons/hicolor
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -i -f
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


#%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
#%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
